import 'package:cs_resources/constants/color_constants.dart';
import 'package:cs_resources/generated/assets.dart';
import 'package:domain/entity/response/job_applied_list_s_g_entity.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:plugin_basic/basic_export.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_button.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/my_text_view.dart';
import 'package:widgets/shatter/border_select_widget.dart';

/**
 * 每一个选项
 */
class ReviseAddEditItem extends StatelessWidget {
  final String title;
  final String content;

  ReviseAddEditItem({
    required this.title,
    required this.content,
  });

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [

        //工作标题，选择模板
        MyTextView(
          title,
          textColor:ColorConstants.white,
          isFontRegular: true,
          marginTop: 14,
          fontSize: 15,
        ),

        //工作标题
        Container(
          padding: EdgeInsets.only(left: 16, right: 10),
          margin: EdgeInsets.only(top: 10),
          height: 45,
          decoration: BoxDecoration(
            color: Color(0xFF4DCFF6).withOpacity(0.5),
            borderRadius: const BorderRadius.all(Radius.circular(5)),
          ),
          child: Row(
            mainAxisSize: MainAxisSize.max,
            crossAxisAlignment: CrossAxisAlignment.center,
            mainAxisAlignment: MainAxisAlignment.start,
            children: [
              MyTextView(
                content,
                fontSize: 15,
                isFontRegular: true,
                textColor: ColorConstants.white,
              ).expanded(),

            ],
          ),
        ),

      ],
    );
  }
}
